Subject: Re: [RFC PATCH v2 net-next 00/15] tc-taprio offload for SJA1105 DSA

From: Andrew Lunn <[email-masked]>
Date: Sat, 31 Aug 2019 21:41:56 +0200

> I'm not 100% sure how taprio handles locking TBH, it just seems naive
> that HW callback will not need to sleep, so the kernel should make sure
> that callback can sleep. Otherwise we'll end up with 3/4 of drivers
> implementing some async work routine...

Hi Jakub

I suspect this is because until recently, all such devices were on a
PCI bus, for some other form of memory mapped device. It is only
recently with DSA becoming popular, that we need to handle devices on
the end of other sorts of bus, be is MDIO, SPI or i2c.

    Andrew